commit: db75bd2e8c3456b678a59f48d37385b04d554f69
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 28 20:57:21 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jan 28 21:30:15 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=db75bd2e
sci-chemistry/prodecomp: Permit scipy-python2
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
.../prodecomp/{prodecomp-3.0-r1.ebuild => prodecomp-3.0-r2.ebuild} | 7 +++++--
1 file changed, 5 insertions(+), 2 deletions(-)
diff --git a/sci-chemistry/prodecomp/prodecomp-3.0-r1.ebuild
b/sci-chemistry/prodecomp/prodecomp-3.0-r2.ebuild
similarity index 89%
rename from sci-chemistry/prodecomp/prodecomp-3.0-r1.ebuild
rename to sci-chemistry/prodecomp/prodecomp-3.0-r2.ebuild
index ad5fb6271a2..e66cac2b0b4 100644
--- a/sci-chemistry/prodecomp/prodecomp-3.0-r1.ebuild
+++ b/sci-chemistry/prodecomp/prodecomp-3.0-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@@ -20,7 +20,10 @@ REQUIRED_USE="${PYTHON_REQUIRED_USE}"
DEPEND="${PYTHON_DEPS}"
RDEPEND="${DEPEND}
- sci-libs/scipy[${PYTHON_USEDEP}]"
+ || (
+ sci-libs/scipy-python2[${PYTHON_USEDEP}]
+ sci-libs/scipy[${PYTHON_USEDEP}]
+ )"
S="${WORKDIR}"/NMRProjAnalys